Loading...
Searching...
No Matches
serial.h File Reference
User-space driver API

Common routines for hw that uses the standard serial port driver. More...

Go to the source code of this file.

## Functions

int | tty_reset (int fd)
| Set the cfmakeraw termio options.
int | tty_setrtscts (int fd, int enable)
| Set/clear CTS control line.
int | tty_setdtr (int fd, int enable)
| Set/clear DTR control line.
int | tty_setbaud (int fd, int baud)
| Set the speed a.
int | tty_setcsize (int fd, int csize)
| Set the character size.
int | tty_create_lock (const char *name)
| Creates a lock file of the type /var/local/LCK.
int | tty_delete_lock (void)
| Delete any legacy lock(s) owned by this process.
int | tty_set (int fd, int rts, int dtr)
| Set RTS and DTR control lines.
int | tty_clear (int fd, int rts, int dtr)
| Clear RTS and DTR control lines.
int | tty_write (int fd, char byte)
| Write a single byte to serial device.
int | tty_read (int fd, char *byte)
| Read a single byte from serial device.
int | tty_write_echo (int fd, char byte)
| Write a single byte and check the echo from remote party.

## Detailed Description

Common routines for hw that uses the standard serial port driver.

Author
  Christoph Bartelmus

Here is create_lock and delete_lock which manages the legacy, serial lock files. The other functions are wrappers for the termio(7) IOCTL commands.

Definition in file serial.h.